# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

- org.apache.lucene.tests.analysis.MockTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_TOKEN_LENGTH`
  `255`

- org.apache.lucene.tests.geo.BaseGeoPointTestCase
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `FIELD_NAME`
  `"point"`
- org.apache.lucene.tests.geo.BaseXYPointTestCase
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `FIELD_NAME`
  `"point"`

- org.apache.lucene.tests.index.DocHelper
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FIELD_1_TEXT`
  `"field one text"`
  `public static final String`
  `FIELD_2_TEXT`
  `"field field field two text"`
  `public static final String`
  `FIELD_3_TEXT`
  `"aaaNoNorms aaaNoNorms bbbNoNorms"`
  `public static final String`
  `FIELD_UTF1_TEXT`
  `"field one \u4e00text"`
  `public static final String`
  `FIELD_UTF2_TEXT`
  `"field field field \u4e00two text"`
  `public static final String`
  `KEYWORD_FIELD_KEY`
  `"keyField"`
  `public static final String`
  `KEYWORD_TEXT`
  `"Keyword"`
  `public static final String`
  `LARGE_LAZY_FIELD_KEY`
  `"largeLazyField"`
  `public static final String`
  `LAZY_FIELD_BINARY_KEY`
  `"lazyFieldBinary"`
  `public static final String`
  `LAZY_FIELD_KEY`
  `"lazyField"`
  `public static final String`
  `LAZY_FIELD_TEXT`
  `"These are some field bytes"`
  `public static final String`
  `NO_NORMS_KEY`
  `"omitNorms"`
  `public static final String`
  `NO_NORMS_TEXT`
  `"omitNormsText"`
  `public static final String`
  `NO_TF_KEY`
  `"omitTermFreqAndPositions"`
  `public static final String`
  `NO_TF_TEXT`
  `"analyzed with no tf and positions"`
  `public static final String`
  `TEXT_FIELD_1_KEY`
  `"textField1"`
  `public static final String`
  `TEXT_FIELD_2_KEY`
  `"textField2"`
  `public static final String`
  `TEXT_FIELD_3_KEY`
  `"textField3"`
  `public static final String`
  `TEXT_FIELD_UTF1_KEY`
  `"textField1Utf8"`
  `public static final String`
  `TEXT_FIELD_UTF2_KEY`
  `"textField2Utf8"`
  `public static final String`
  `UNINDEXED_FIELD_KEY`
  `"unIndField"`
  `public static final String`
  `UNINDEXED_FIELD_TEXT`
  `"unindexed field text"`
  `public static final String`
  `UNSTORED_1_FIELD_TEXT`
  `"unstored field text"`
  `public static final String`
  `UNSTORED_2_FIELD_TEXT`
  `"unstored field text"`
  `public static final String`
  `UNSTORED_FIELD_1_KEY`
  `"unStoredField1"`
  `public static final String`
  `UNSTORED_FIELD_2_KEY`
  `"unStoredField2"`

- org.apache.lucene.tests.mockfile.HandleLimitFS.MaxOpenHandles
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_OPEN_FILES`
  `2048`

- org.apache.lucene.tests.search.BaseExplanationTestCase
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ALTFIELD`
  `"alt"`
  `public static final String`
  `FIELD`
  `"field"`
  `public static final String`
  `KEY`
  `"KEY"`
- org.apache.lucene.tests.search.MatchesTestBase
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `FIELD_DOCS_ONLY`
  `"field_docs_only"`
  `protected static final String`
  `FIELD_FREQS`
  `"field_freqs"`
  `protected static final String`
  `FIELD_NO_OFFSETS`
  `"field_no_offsets"`
  `protected static final String`
  `FIELD_POINT`
  `"field_point"`
  `protected static final String`
  `FIELD_WITH_OFFSETS`
  `"field_offsets"`

- org.apache.lucene.tests.util.LuceneTestCase
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_LINE_DOCS_FILE`
  `"europarl.lines.txt.gz"`
  `public static final String`
  `JENKINS_LARGE_LINE_DOCS_FILE`
  `"enwiki.random.lines.txt"`
  `public static final String`
  `SYSPROP_AWAITSFIX`
  `"tests.awaitsfix"`
  `public static final String`
  `SYSPROP_FAILFAST`
  `"tests.failfast"`
  `public static final String`
  `SYSPROP_MAXFAILURES`
  `"tests.maxfailures"`
  `public static final String`
  `SYSPROP_MONSTER`
  `"tests.monster"`
  `public static final String`
  `SYSPROP_NIGHTLY`
  `"tests.nightly"`
  `public static final String`
  `SYSPROP_WEEKLY`
  `"tests.weekly"`
- org.apache.lucene.tests.util.TestRuleIgnoreTestSuites
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROPERTY_RUN_NESTED`
  `"tests.runnested"`
- org.apache.lucene.tests.util.TestRuleLimitSysouts
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `DEFAULT_HARD_LIMIT`
  `2147483648L`
  `public static final long`
  `DEFAULT_LIMIT`
  `8192L`
  `public static final int`
  `MAX_LIMIT`
  `1048576`
- org.apache.lucene.tests.util.ThrottledIndexOutput
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MIN_WRITTEN_BYTES`
  `1024`
- org.apache.lucene.tests.util.TimeUnits
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `HOUR`
  `3600000`
  `public static final int`
  `MINUTE`
  `60000`
  `public static final int`
  `SECOND`
  `1000`

- org.apache.lucene.tests.util.automaton.AutomatonTestUtil
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_DETERMINIZED_STATES`
  `1000000`
  `public static final int`
  `MAX_RECURSION_LEVEL`
  `1000`